[prev in list] [next in list] [prev in thread] [next in thread] 

List:       gentoo-commits
Subject:    [gentoo-commits] repo/gentoo:master commit in: dev-python/Nuitka/
From:       "Arthur Zamarin" <arthurzam () gentoo ! org>
Date:       2023-01-31 19:09:58
Message-ID: 1675192192.8dc5a4bd46e723f3d1de79b157dda457adb97842.arthurzam () gentoo
[Download RAW message or body]

commit:     8dc5a4bd46e723f3d1de79b157dda457adb97842
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 31 18:47:15 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Tue Jan 31 19:09:52 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8dc5a4bd

dev-python/Nuitka: add 1.4.2

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/Nuitka/Manifest            |  1 +
 dev-python/Nuitka/Nuitka-1.4.2.ebuild | 54 +++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/Nuitka/Manifest b/dev-python/Nuitka/Manifest
index 5cd9d6e2475c..0a4decc16bd1 100644
--- a/dev-python/Nuitka/Manifest
+++ b/dev-python/Nuitka/Manifest
@@ -1,2 +1,3 @@
 DIST Nuitka-1.4.1.tar.gz 4122973 BLAKE2B \
edd3722a3e9d534c1802a4be6d1b3d21ce5a926803e4342620a87597d8ad5e03b0e84c83a17a95a36c3716a25197e7a32704d29813a2bccfed490ae0e019d5ce \
SHA512 99bd491519e4e3e754e5678d293a39ed36438e19aa026263c2b3fde5cc82ffc886b35629146ed11fa93860598901e91644c6e93456d1e76ba97a21d304165e67
 +DIST Nuitka-1.4.2.tar.gz 4122580 BLAKE2B \
c99f96c32325f6bbf9678b879263f4dd166ecaa9fa3a2e0d0af4366638b752142eda981b596ef6d7744ab87d77390b831b7cb30e10eb365559b6d6772445266c \
SHA512 b6c852142d5f94183917d9605b51e0770b9ffb64a0f4273409448a443eb61003d58d96a42454d4d8eb25bacae562c19d1be2158a3e84465471e91a1bb909b9dc
  DIST Nuitka-1.4.tar.gz 4121399 BLAKE2B \
6f431ce01e5efc18cb71fffa8d4db1479adaab48f91c5943fe97d9252dd80ec6a875e0fbc480b13b38167534254a9fb589664d7d95b7e679b22e3c4ef27f5a5a \
SHA512 cc07b8c35e75c3d34566d335e27789900095c35bf411e284c262f7a85f54ee9922b8f2aa0a75e72e2b77559f594183ea84aeba5691e600181fc706680bb55136


diff --git a/dev-python/Nuitka/Nuitka-1.4.2.ebuild \
b/dev-python/Nuitka/Nuitka-1.4.2.ebuild new file mode 100644
index 000000000000..3ad289dde538
--- /dev/null
+++ b/dev-python/Nuitka/Nuitka-1.4.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_10 )
+
+inherit distutils-r1 flag-o-matic optfeature
+
+DESCRIPTION="Python to native compiler"
+HOMEPAGE="
+	https://www.nuitka.net/
+	https://github.com/Nuitka/Nuitka/
+	https://pypi.org/project/Nuitka/
+"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~loong ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	dev-util/scons[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	${RDEPEND}
+	test? ( dev-util/ccache )
+"
+
+DOCS=( Changelog.pdf Developer_Manual.pdf README.pdf )
+
+distutils-r1_src_prepare() {
+	# remove vendored version of SCons that is Python2 only
+	# this should be removed when upstream removes support for Python2
+	rm -vR "nuitka/build/inline_copy/lib/scons-2.3.2/SCons" || die
+	eapply_user
+}
+
+python_install() {
+	distutils-r1_python_install
+	doman doc/nuitka3.1 doc/nuitka3-run.1
+}
+
+python_test() {
+	append-ldflags -Wl,--no-warn-search-mismatch
+	./tests/basics/run_all.py search || die
+}
+
+pkg_postinst() {
+	optfeature "support for stand-alone executables" app-admin/chrpath
+}


[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic